=== debian/changelog ===
ghdl (0.35+git20180503+dfsg-2) unstable; urgency=medium

  * Fix disabling mcode backend building on non-x86

 -- Andreas Bombe <aeb@debian.org>  Mon, 06 Aug 2018 15:42:10 +0800

ghdl (0.35+git20180503+dfsg-1) unstable; urgency=medium

  * Reintroduce ghdl package with upstream git commit v0.35-168-g252a9169
    (Closes: #880942)
  * Redo most of the packaging to adapt to significant upstream changes
  * ghdl now offers different compiler backends, offer them all in
    co-installable packages ghdl-gcc, ghdl-mcode and ghdl-llvm
  * Add build profiles to skip building any of the backends
  * New /usr/bin/ghdl wrapper script that executes an installed ghdl backend
    variant depending on an environment variable or automatic selection
  * Rewrite debian/copyright, change to machine-readable format
  * Change debian/watch to current upstream on GitHub
  * Change source format to 3.0 (quilt)
  * Change Vcs-* fields in debian/control to point to new location

 -- Andreas Bombe <aeb@debian.org>  Sat, 04 Aug 2018 03:24:44 +0800

ghdl (0.29+gcc4.3.4+dfsg-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix FTBFS on multiarch systems. (Closes: #635923)
  * Don't build the package twice.
  * Whole changes have been merged from Ubuntu.

 -- Artur Rona <ari-tczew@tlen.pl>  Sat, 05 May 2012 23:04:42 +0200

ghdl (0.29+gcc4.3.4+dfsg-1) unstable; urgency=low

  * New upstream release (closes: #548004)
  * Updated to policy 3.8.3
  * Now using gcc-4.3.4
  * Now building with gnat-4.4

 -- Wesley J. Landaker <wjl@icecavern.net>  Sun, 24 Jan 2010 16:09:58 -0700

ghdl (0.27+svn110+gcc4.3.3+dfsg-1) unstable; urgency=low

  * Now using gcc-4.3.3
  * Updated copyright information
  * Added Vcs-Git information
  * Updated to policy 3.8.1 

 -- Wesley J. Landaker <wjl@icecavern.net>  Thu, 02 Apr 2009 21:23:07 -0600

ghdl (0.27+svn110+gcc4.3.2~dfsg-3) unstable; urgency=low

  * Ensure that gnatbind uses the correct CC, not cc
  * Added Vcs-Bzr information

 -- Wesley J. Landaker <wjl@icecavern.net>  Wed, 05 Nov 2008 16:13:37 -0700

ghdl (0.27+svn110+gcc4.3.2~dfsg-2) unstable; urgency=low

  * Moving to unstable.
  * Updated to policy 3.8.0

 -- Wesley J. Landaker <wjl@icecavern.net>  Sun, 02 Nov 2008 19:45:31 -0700

ghdl (0.27+svn110+gcc4.3.2~dfsg-1) experimental; urgency=low

  * New upstream release (0.27)
  * Upstream patched to svn110
  * Now using gcc-4.3.2
  * Added newly necessary libgmp3-dev and libmpfr-dev to build-depends.

 -- Wesley J. Landaker <wjl@icecavern.net>  Sun, 02 Nov 2008 16:41:28 -0700

ghdl (0.26+svn98+gcc4.1.2~dfsg-1) unstable; urgency=low

  * Upstream patched to svn98
  * Fix lintian warnings about harmless empty directories.
  * Fix dependency; seems like gnat-4.3 is needed after all.

 -- Wesley J. Landaker <wjl@icecavern.net>  Mon, 02 Jun 2008 17:01:11 -0600

ghdl (0.26+svn94+gcc4.1.2~dfsg-2) unstable; urgency=low

  * Force *FLAGS environment passed to make to override the messed up
    dpkg-buildpackage environment that causes compile failures.

 -- Wesley J. Landaker <wjl@icecavern.net>  Sat, 17 May 2008 12:51:39 -0600

ghdl (0.26+svn94+gcc4.1.2~dfsg-1) unstable; urgency=low

  * Upstream patched to svn94
  * Reworked package build quite a bit; special thanks to Fedora maintainer
    Thomas Sailer <t.sailer@alumni.ethz.ch> for some ideas
  * Finally building with gnat-4.3 (closes: #478032)
  * Revamped package structure and build system

 -- Wesley J. Landaker <wjl@icecavern.net>  Sat, 17 May 2008 11:14:19 -0600

ghdl (0.26+gcc4.1.2~dfsg-4) unstable; urgency=low

  * Fix hosed package generation.

 -- Wesley J. Landaker <wjl@icecavern.net>  Thu, 15 May 2008 18:36:42 -0600

ghdl (0.26+gcc4.1.2~dfsg-3) unstable; urgency=low

  * Reverting back to gnat-4.1, because gnat-4.2 is being removed and
    gnat-4.3 doesn't yet work for building (closes: #478032)
  * Dropped ivi suggestion, as it is obsolete and not in Debian anymore 

 -- Wesley J. Landaker <wjl@icecavern.net>  Thu, 15 May 2008 17:39:18 -0600

ghdl (0.26+gcc4.1.2~dfsg-2) unstable; urgency=low

  * Now building with gnat-4.2.

 -- Wesley J. Landaker <wjl@icecavern.net>  Sun, 12 Aug 2007 10:02:56 -0600

ghdl (0.26+gcc4.1.2~dfsg-1) unstable; urgency=low

  * New upstream release (closes: #413088)
  * Using DFSGized gcc4.1.2 tarball (closes: #392949)
  * Specifically note copyright status of standard headers (closes: #403621)

 -- Wesley J. Landaker <wjl@icecavern.net>  Thu, 12 Apr 2007 18:43:56 -0600

ghdl (0.25+gcc4.1.1-1) unstable; urgency=low

  * New upstream release
  * Now using dpatch

 -- Wesley J. Landaker <wjl@icecavern.net>  Mon, 14 Aug 2006 09:35:06 -0600

ghdl (0.24+gcc4.1.1-1) unstable; urgency=low

  * New upstream release
  * Removed ortho-lang amd64 patch (integrated upstream)
  * Upstream now includes its own manpage; use that instead

 -- Wesley J. Landaker <wjl@icecavern.net>  Sat,  8 Jul 2006 08:45:09 -0600

ghdl (0.23+gcc4.1.1-1) unstable; urgency=medium

  * New upstream release, plus patch from author (closes: #360382)
  * Using gcc-core-4.1.1
  * Building with gnat-4.1
  * Moved to Standards-Version 3.7.2; no changes required

 -- Wesley J. Landaker <wjl@icecavern.net>  Tue, 13 Jun 2006 17:12:56 -0600

ghdl (0.22-1) unstable; urgency=low

  * New upstream release
  * Fixed typo in manpage (closes: #350162)
    * Thanks to Nicolas François <nicolas.francois@centraliens.net>
  * Added texinfo and zlib1g-dev to build-depends.

 -- Wesley J. Landaker <wjl@icecavern.net>  Sat,  1 Apr 2006 09:20:06 -0700

ghdl (0.21-1) unstable; urgency=low

  * The "it-finally-works-on-my-amd64-computer-woohoo!" release.
  * New upstream release (closes: #338427)
  * Disable multilib and mudflap (closes: #276399)
  * Added dependency on zlib1g-dev (closes: #341330)
  * Fixed up debian/rules to use stamp files more cleanly
  * Removed some now-unnecessary patches, applied upstream

 -- Wesley J. Landaker <wjl@icecavern.net>  Sat, 31 Dec 2005 09:39:10 -0700

ghdl (0.20-1) unstable; urgency=low


