=== debian/changelog ===
ghdl (0.35+git20181129+dfsg-3) unstable; urgency=medium

  * Team upload.

  [ Matthias Klose ]
  * Don't hardcode the gcc tarball name (Closes: #916412)

  [ Jonathan McDowell ]
  * Set Rules-Requires-Root to no
  * Remove debian/source/options - xz is now the default

  [ Frédéric Bonnard ]
  * Fix FTBFS on ppc64* (Closes: #907170)

 -- Jonathan McDowell <noodles@earth.li>  Fri, 22 Feb 2019 15:36:23 +0000

ghdl (0.35+git20181129+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Update debian/copyright to cover additional source files

 -- Jonathan McDowell <noodles@earth.li>  Thu, 13 Dec 2018 22:39:47 +0000

ghdl (0.35+git20181129+dfsg-1) unstable; urgency=medium

  * New upstream release
    * Refresh modify-install-paths
    * Allow builds with LLVM 7+ (Closes: #912564)
  * Switch to GCC 8 (Closes: #915734)
  * Add dependency on zlib1g-dev for gcc and LLVM backends (Closes: #913945)

 -- Jonathan McDowell <noodles@earth.li>  Tue, 11 Dec 2018 20:16:23 +0000
