=== debian/control ===
--- 
+++ 
@@ -4,25 +4,28 @@
 Maintainer: Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>
 Uploaders: Andreas Bombe <aeb@debian.org>
 Build-Depends: debhelper (>= 11),
-               gnat-7,
-               gcc-7-source <!pkg.ghdl.nogcc>,
+               gnat-8,
+               gcc-8-source <!pkg.ghdl.nogcc>,
                libisl-dev (>= 0.14) <!pkg.ghdl.nogcc>,
                libmpc-dev (>= 1.0) <!pkg.ghdl.nogcc>,
                libmpfr-dev (>= 3.0.0-9~) <!pkg.ghdl.nogcc>,
                libgmp-dev (>= 2:5.0.1~) <!pkg.ghdl.nogcc>,
                llvm-dev (>= 1:3.5) <!pkg.ghdl.nollvm>,
-               llvm-dev (<< 1:7.0~) <!pkg.ghdl.nollvm>,
                clang (>= 1:3.5) <!pkg.ghdl.nollvm>,
-               clang (<< 1:7.0~) <!pkg.ghdl.nollvm>,
                zlib1g-dev
 Standards-Version: 4.2.0
 Homepage: https://github.com/ghdl/ghdl
 Vcs-Browser: https://salsa.debian.org/electronics-team/ghdl/ghdl
 Vcs-Git: https://salsa.debian.org/electronics-team/ghdl/ghdl.git
+Rules-Requires-Root: no
 
 Package: ghdl
 Architecture: any
-Depends: ghdl-mcode | ghdl-gcc | ghdl-llvm, ${misc:Depends}
+Multi-Arch: same
+Depends: ghdl-mcode [any-i386 any-amd64] <!pkg.ghdl.nomcode>
+         | ghdl-gcc <!pkg.ghdl.nogcc>
+         | ghdl-llvm <!pkg.ghdl.nollvm>,
+         ${misc:Depends}
 Suggests: gtkwave
 Description: VHDL compiler/simulator
  GHDL is a compiler and simulator for VHDL, a Hardware Description Language.
@@ -62,7 +65,8 @@
 Package: ghdl-gcc
 Architecture: any
 Build-Profiles: <!pkg.ghdl.nogcc>
-Depends: ghdl (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Depends: ghdl (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends},
+	zlib1g-dev
 Description: VHDL compiler/simulator (GCC backend)
  GHDL is a compiler and simulator for VHDL, a Hardware Description Language.
  GHDL is not an interpreter: it allows you to analyse and elaborate sources to
@@ -74,7 +78,8 @@
 Package: ghdl-llvm
 Architecture: any
 Build-Profiles: <!pkg.ghdl.nollvm>
-Depends: ghdl (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Depends: ghdl (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends},
+	zlib1g-dev
 Description: VHDL compiler/simulator (LLVM backend)
  GHDL is a compiler and simulator for VHDL, a Hardware Description Language.
  GHDL is not an interpreter: it allows you to analyse and elaborate sources to
