=== debian/rules ===
--- 
+++ 
@@ -7,15 +7,15 @@
 #export DH_VERBOSE = 1
 
 include /usr/share/dpkg/default.mk
-include /usr/share/ada/debian_packaging-7.mk
+include /usr/share/ada/debian_packaging-8.mk
 
 # This variable is used in Makefile.in to adjust src/version.in
 export PKG_VERSION := $(DEB_VENDOR) $(DEB_VERSION)
 
 # These variables are used to find and unpack the gcc source
-GCC_DIR := /usr/src/gcc-7
-GCC_VER := 7
-VER_GCC := 7.3.0-dfsg
+GCC_DIR := /usr/src/gcc-8
+GCC_VER := 8
+GCC_TARBALL := $(notdir $(wildcard $(GCC_DIR)/gcc-*.tar.*))
 
 # Get parallel option to parallelize the gcc build specifically (Ada builds
 # are already parallelized by code included from debian_packaging-*.mk above).
@@ -77,12 +77,14 @@
 	@echo Configuring with gcc backend
 	@echo ------------------------------------------------------------
 	# gcc unpack sequence cribbed from gcc-7-cross debian/rules
+	set -e; \
 	if [ -n "$(WITH_GCC)" ]; then \
 		cd $(BUILDDIR)/gcc; \
-		ln -sf ${GCC_DIR}/gcc-${VER_GCC}.tar.xz gcc-${VER_GCC}.tar.xz; \
+		ln -sf ${GCC_DIR}/$(GCC_TARBALL) $(GCC_TARBALL); \
 		cp -a  ${GCC_DIR}/debian/ .; \
 		if [ -n "$$(grep -v '^\#' ${CURDIR}/debian/patches/gcc-${GCC_VER}/series)" ]; then \
-			QUILT_PATCHES=${CURDIR}/debian/patches/gcc-${GCC_VER} quilt push --quiltrc /dev/null -a; \
+			cp -n ${CURDIR}/debian/patches/gcc-${GCC_VER}/*.diff debian/patches/ ; \
+			cat ${CURDIR}/debian/patches/gcc-${GCC_VER}/series >> debian/patches/series ; \
 		fi; \
 		debian/rules patch; \
 		../../configure --srcdir=../.. --prefix=/usr \
